Patch package OTP 20.3.8.5 released

Previous Topic Next Topic
 
classic Classic list List threaded Threaded
1 message Options
Reply | Threaded
Open this post in threaded view
|

Patch package OTP 20.3.8.5 released

Rickard Green-2
Patch Package:           OTP 20.3.8.5
Git Tag:                 OTP-20.3.8.5
Date:                    2018-08-10
Trouble Report Id:       OTP-15168, OTP-15194, OTP-15203, OTP-15204,
                          OTP-15221, OTP-15223, OTP-15225, OTP-15226
Seq num:                 ERIERL-217, ERIERL-221, ERL-673, ERL-679
System:                  OTP
Release:                 20
Application:             compiler-7.1.5.1, crypto-4.2.2.1,
                          erts-9.3.3.3, mnesia-4.15.3.1, ssl-8.2.6.2
Predecessor:             OTP 20.3.8.4

  Check out the git tag OTP-20.3.8.5, and build a full OTP system
  including documentation. Apply one or more applications from this
  build as patches to your installation using the 'otp_patch_apply'
  tool. For information on install requirements, see descriptions for
  each application version below.

  ---------------------------------------------------------------------
  --- POTENTIAL INCOMPATIBILITIES -------------------------------------
  ---------------------------------------------------------------------

   OTP-15225    Application(s): erts

                Fixed a bug causing some Erlang references to be
                inconsistently ordered. This could for example cause
                failure to look up certain elements with references as
                keys in search data structures. This bug was introduced
                in R13B02.

                Thanks to Simon Cornish for finding the bug and
                supplying a fix.


  ---------------------------------------------------------------------
  --- compiler-7.1.5.1 ------------------------------------------------
  ---------------------------------------------------------------------

  The compiler-7.1.5.1 application can be applied independently of
  other applications on a full OTP 20 installation.

  --- Fixed Bugs and Malfunctions ---

   OTP-15204    Application(s): compiler
                Related Id(s): ERL-679

                Fixed an issue where files compiled with the
                +deterministic option differed if they were compiled in
                a different directory but were otherwise identical.


  Full runtime dependencies of compiler-7.1.5.1: crypto-3.6, erts-9.0,
  hipe-3.12, kernel-4.0, stdlib-2.5


  ---------------------------------------------------------------------
  --- crypto-4.2.2.1 --------------------------------------------------
  ---------------------------------------------------------------------

  The crypto-4.2.2.1 application can be applied independently of other
  applications on a full OTP 20 installation.

  --- Fixed Bugs and Malfunctions ---

   OTP-15194    Application(s): crypto
                Related Id(s): ERL-673

                Fixed a node crash in crypto:compute_key(ecdh, ...)
                when passing a wrongly typed Others argument.


  Full runtime dependencies of crypto-4.2.2.1: erts-9.0, kernel-5.3,
  stdlib-3.4


  ---------------------------------------------------------------------
  --- erts-9.3.3.3 ----------------------------------------------------
  ---------------------------------------------------------------------

  The erts-9.3.3.3 application can be applied independently of other
  applications on a full OTP 20 installation.

  --- Fixed Bugs and Malfunctions ---

   OTP-15223    Application(s): erts

                Fixed a bug which caused an emulator crash when
                enif_send() was called by a NIF that executed on a
                dirty scheduler. The bug was either triggered when the
                NIF called enif_send() without a message environment,
                or when the process executing the NIF was send traced.


   OTP-15225    Application(s): erts

                *** POTENTIAL INCOMPATIBILITY ***

                Fixed a bug causing some Erlang references to be
                inconsistently ordered. This could for example cause
                failure to look up certain elements with references as
                keys in search data structures. This bug was introduced
                in R13B02.

                Thanks to Simon Cornish for finding the bug and
                supplying a fix.


  Full runtime dependencies of erts-9.3.3.3: kernel-5.0, sasl-3.0.1,
  stdlib-3.0


  ---------------------------------------------------------------------
  --- mnesia-4.15.3.1 -------------------------------------------------
  ---------------------------------------------------------------------

  The mnesia-4.15.3.1 application can be applied independently of other
  applications on a full OTP 20 installation.

  --- Fixed Bugs and Malfunctions ---

   OTP-15221    Application(s): mnesia
                Related Id(s): ERIERL-217

                When master node is set do not force a load from
                ram_copies replica when there are no available
                disc_copies, since that would load an empty table. Wait
                until a disk replica is available or until user
                explicitly force_loads the table.


   OTP-15226    Application(s): mnesia
                Related Id(s): ERIERL-221

                Allow to add replicas even if all other replicas are
                down when the other replicase are not stored on disk.


  Full runtime dependencies of mnesia-4.15.3.1: erts-9.0, kernel-5.3,
  stdlib-3.4


  ---------------------------------------------------------------------
  --- ssl-8.2.6.2 -----------------------------------------------------
  ---------------------------------------------------------------------

  Note! The ssl-8.2.6.2 application can *not* be applied independently
        of other applications on an arbitrary OTP 20 installation.

        On a full OTP 20 installation, also the following runtime
        dependencies have to be satisfied:
        -- crypto-4.2 (first satisfied in OTP 20.2)
        -- public_key-1.5 (first satisfied in OTP 20.1)


  --- Fixed Bugs and Malfunctions ---

   OTP-15168    Application(s): ssl

                Correct handling of empty server SNI extension


   OTP-15203    Application(s): ssl

                Correct cipher suite handling for ECDHE_*, the
                incorrect handling could cause an incorrrect suite to
                be selected and most likly fail the handshake.


  Full runtime dependencies of ssl-8.2.6.2: crypto-4.2, erts-7.0,
  inets-5.10.7, kernel-3.0, public_key-1.5, stdlib-3.2


  ---------------------------------------------------------------------
  ---------------------------------------------------------------------
  ---------------------------------------------------------------------
_______________________________________________
erlang-questions mailing list
[hidden email]
http://erlang.org/mailman/listinfo/erlang-questions